{
    attributes = (
        {
            columnName = "CONV_ORDRE"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "PCO_NUM"; }; 
            name = "conv_ordre"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ECON_DATE_SAISIE"; 
            externalType = DATE; 
            internalInfo = {"_nameInObjectStore" = "EPCO_DATE_SAISIE"; }; 
            name = econDateSaisie; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "ECON_HT_SAISIE"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "EPCO_HT_SAISIE"; }; 
            name = econHtSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "ECON_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "EPCO_ID"; }; 
            name = econId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ECON_MONTANT_BUDGETAIRE"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "EPCO_MONTANT_BUDGETAIRE"; }; 
            name = econMontantBudgetaire; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "ECON_MONTANT_BUDGETAIRE_RESTE"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "EPCO_MONTANT_BUDGETAIRE_RESTE"; }; 
            name = econMontantBudgetaireReste; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "ECON_TTC_SAISIE"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "EPCO_TTC_SAISIE"; }; 
            name = econTtcSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "ECON_TVA_SAISIE"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "EPCO_TVA_SAISIE"; }; 
            name = econTvaSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "ENG_ID"; 
            externalType = NUMBER; 
            name = engId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (engId, econId, exeOrdre, "conv_ordre"); 
    className = "org.cocktail.kava.server.metier.EOEngageCtrlConvention"; 
    classProperties = (
        econDateSaisie, 
        econHtSaisie, 
        econMontantBudgetaire, 
        econMontantBudgetaireReste, 
        econTtcSaisie, 
        econTvaSaisie, 
        exeOrdre, 
        convention
    ); 
    externalName = "jefy_depense.engage_ctrl_convention"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            epcoDateSaisie, 
            epcoHtSaisie, 
            epcoMontantBudgetaire, 
            epcoMontantBudgetaireReste, 
            epcoTtcSaisie, 
            epcoTvaSaisie, 
            exeOrdre, 
            planComptable, 
            econDateSaisie, 
            econHtSaisie, 
            econMontantBudgetaire, 
            econMontantBudgetaireReste, 
            econTtcSaisie, 
            econTvaSaisie, 
            convention
        ); 
        "_javaClientClassName" = "org.cocktail.kava.client.metier.EOEngageCtrlConvention"; 
    }; 
    name = EngageCtrlConvention; 
    primaryKeyAttributes = (econId); 
    relationships = (
        {
            destination = Convention; 
            internalInfo = {"_nameInObjectStore" = planComptable; }; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = conOrdre; sourceAttribute = "conv_ordre"; }); 
            name = convention; 
        }
    ); 
}
